footer {
  position: relative;
  display: flex;
  align-items: end;
  justify-content: center;
  width: 100%;
  height: 431px;
  background-color: var(--primary-color);
  margin-top: 50px;
}

footer .sandwich-background1 {
  position: absolute;
  top: 177px;
  left: 272px;
  z-index: 0;
}

footer .sandwich-background2 {
  position: absolute;
  top: 23px;
  left: 148px;
  z-index: 0;
}

footer .hotdog-background {
  position: absolute;
  top: 195px;
  right: 321px;
  z-index: 0;
}

footer .footer-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  max-width: 1163px;
  z-index: 999;
}

footer .footer-container h2 {
  color: #fff;
  text-align: center;
  font-size: 46px;
  font-weight: 400;
  line-height: normal;
  max-width: 880px;
}

footer .footer-container h2 > strong {
  color: rgba(255, 207, 35, 0.94);
  font-size: 83px;
  font-weight: 700;
  line-height: normal;
}

footer .footer-container h3 {
  color: #ffcf23;
  text-align: center;
  font-size: 30px;
  font-weight: 700;
  line-height: 135.4%;
  letter-spacing: 0.15px;
}

footer .footer-container form {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 440px;
  height: 63px;
  flex-shrink: 0;
  border-radius: 12px;
  border: 2px solid rgba(0, 0, 0, 0.1);
  background: #fff;
  padding: 5px 13px 5px 5px;
  margin: 10px 0 35px;
  box-sizing: border-box;
}

footer .footer-container form > input {
  height: 40px;
  width: 240px;
  font-size: 20px;
  padding: 0 10px;
}

footer .footer-container form > input::placeholder {
  color: rgba(0, 0, 0, 0.35);
  font-family: Montserrat;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.line {
  width: 0px;
  height: 42px;
  border: 1px solid rgba(0, 0, 0, 0.18);
  margin-right: 8px;
}

footer .footer-container form > button {
  width: 137px;
  height: 35.961px;
  background-color: var(--primary-color);
  color: #fff;
  border-radius: 10px;
  font-weight: 600;
}

footer .footer-container form > button:hover {
  background-color: var(--hover-color);
}

footer #message-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 440px;
  height: 63px;
  flex-shrink: 0;
  border-radius: 12px;
  border: 2px solid rgba(0, 0, 0, 0.1);
  background: rgba(255, 255, 255, 0.94);
  padding: 5px 13px 5px 13px;
  margin: 10px 0 35px;
  box-sizing: border-box;
}

footer #message-container > p {
  font-weight: 600;
  color: rgb(3, 88, 3);
}

footer #message-container > button {
  background-color: var(--primary-color);
  color: white;
  border-radius: 10px;
  padding: 10px 30px;
  font-weight: 600;
}

footer .footer-container .copyright-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #000;
  align-self: end;
  width: 1163px;
  height: 92px;
  border-radius: 40px 40px 0 0;
  padding: 17px 79px 13px;
  box-sizing: border-box;
}

footer .footer-container .copy-media-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 17px;
}

main .footer-social-medias .img-mobile {
  display: none;
}

footer .footer-container .footer-social-medias {
  display: flex;
  gap: 20px;
}

footer .footer-container .footer-social-medias a {
  width: 25px;
  height: 25px;
}

footer .footer-container .copyrights {
  display: flex;
  align-items: center;
  gap: 5px;
  color: #fff;
  text-align: center;
  font-size: 16px;
  line-height: normal;
}

@media (min-width: 769px) and (max-width: 1280px) {
  footer .footer-container h2 {
    font-size: 35px;
    max-width: 700px;
  }

  footer .footer-container h2 > strong {
    font-size: 60px;
  }

  footer .footer-container .copyright-container {
    width: 700px;
    padding: 17px 30px 13px;
  }

  footer .footer-container .copyrights {
    font-size: 14px;
  }
}

@media (max-width: 769px) {
  footer {
    position: relative;
    display: flex;
    align-items: end;
    justify-content: center;
    width: 100%;
    height: 172px;
    margin-top: 19px;
  }

  footer .sandwich-background1 {
    position: absolute;
    top: 30px;
    left: 50%;
    transform: translateX(-80%);
    width: 150px;
    z-index: 0;
    opacity: 0.6;
  }

  footer .sandwich-background2 {
    position: absolute;
    top: 20px;
    left: 50px;
    z-index: 0;
    opacity: 0.6;
    width: 30px;
  }

  footer .hotdog-background {
    position: absolute;
    top: 50px;
    right: 40px;
    z-index: 0;
    width: 20px;
    opacity: 0.6;
  }

  footer .footer-container {
    max-width: 293px;
    z-index: 999;
  }

  footer .footer-container h2 {
    font-size: 11px;
    font-style: normal;
    line-height: normal;
    max-width: 174px;
  }

  footer .footer-container h2 > strong {
    font-size: 14px;
  }

  footer .footer-container h3 {
    font-size: 11px;
    font-weight: 700;
    line-height: 135.4%;
    letter-spacing: 0.055px;
  }

  footer .footer-container form {
    width: 210px;
    height: 30.355px;
    border-radius: 12px;
    border: 1px solid rgba(0, 0, 0, 0.1);
    padding: 6.75px 5.25px;
    margin: 5px 0 50px;
  }

  footer .footer-container form > input {
    height: 25px;
    width: 110px;
    font-size: 10px;
    padding: 0 5px;
  }

  footer .footer-container form > input::placeholder {
    font-size: 10px;
  }

  footer .footer-container form > .line {
    height: 20px;
  }

  footer .footer-container form > button {
    width: 63.477px;
    height: 17.327px;
    border-radius: 10px;
    font-size: 6px;
    font-weight: 600;
  }

  footer #message-container {
    width: 210px;
    height: 30.355px;
    border-radius: 12px;
    border: 1px solid rgba(0, 0, 0, 0.1);
    padding: 6.75px 5.25px;
    margin: 5px 0 50px;
    font-size: 8px;
  }

  footer #message-container > button {
    border-radius: 5px;
    padding: 5px 10px;
    font-size: 8px;
  }

  footer .footer-container .copyright-container {
    align-self: center;
    width: 293px;
    height: 16px;
    border-radius: 40px 40px 0 0;
    padding: 5px;
    box-sizing: border-box;
  }

  footer .footer-container .copy-media-container {
    gap: 2px;
  }

  footer .footer-container .footer-social-medias {
    gap: 9px;
    position: absolute;
    bottom: 29px;
    left: 50%;
    transform: translateX(-50%);
  }

  footer .footer-container .footer-social-medias a {
    width: 15px;
    height: 15px;
  }

  footer .footer-container .footer-social-medias img {
    width: 15px;
  }

  main .footer-social-medias .img-mobile {
    display: block;
  }

  .footer-social-medias .img-desktop {
    display: none;
  }

  footer .footer-container .copyrights {
    gap: 5px;
    font-size: 4px;
    align-items: center;
    justify-content: center;
  }

  footer .footer-container .copyrights img {
    width: 2.28px;
  }

  footer .copyright-container {
    justify-content: center !important;
  }

  footer .copyright-container .play-store-img {
    position: absolute;
    bottom: 23px;
    left: 50%;
    transform: translateX(-133px);
    width: 88px;
    height: 27px;
  }

  footer .copyright-container .app-store-img {
    position: absolute;
    bottom: 23px;
    right: 50%;
    transform: translateX(133px);
    width: 88px;
    height: 27px;
  }
}
